Ruby segfault with QtWebkit and Adobe Flash plugin enabled

Bug #918920 reported by Sergio Rubio
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
qtruby (Ubuntu)
Undecided
Unassigned

Bug Description

Segfault trying to open a YouTube video using system ruby-1.8 + QtWebkit from ruby-qt4 if QtWebKit plugins are globally enabled and flash plugin is installed (~/.mozilla/plugins in my case). If I remove the flash plugin from ~/.mozilla/plugins/ (disabling flash content) the problem goes away.

Not really sure if the bug belongs here after reading the backtrace, looks like it's glib2 related.

Attached backtrace, test code and ldd output from flash plugin.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: ruby-qt4 4:4.7.97-0ubuntu1
ProcVersionSignature: Ubuntu 3.2.0-9.16-generic 3.2.1
Uname: Linux 3.2.0-9-generic x86_64
ApportVersion: 1.91-0ubuntu1
Architecture: amd64
CheckboxSubmission: dd51e7fcfe82b504f848036cca204d88
CheckboxSystem: 7e42599bda39ea7ff8b528272b6ef52b
Date: Thu Jan 19 21:57:16 2012
EcryptfsInUse: Yes
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release amd64+mac (20111012)
ProcEnviron:
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: qtruby
UpgradeStatus: Upgraded to precise on 2011-12-13 (37 days ago)

Revision history for this message
Sergio Rubio (rubiojr) wrote :
Revision history for this message
Sergio Rubio (rubiojr) wrote :
Revision history for this message
Sergio Rubio (rubiojr) wrote :
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers